Subject: [dhcwg] Comments on draft-mrugalski-dhc-dhcpv6-4rd-00

From: Leaf yeh <[email-masked]>
Date: Fri, 23 Sep 2011 11:08:04 +0000

http://datatracker.ietf.org/doc/draft-murakami-softwire-4rd/?include_text=1

Section 4

   A mapping rule consist of the following elements: a Domain IPv6

   prefix and prefix length, a Domain 4rd prefix and prefix length, CE

   IPv6 Prefix length, and a Domain IPv6 suffix and length.

http://datatracker.ietf.org/doc/draft-mrugalski-dhc-dhcpv6-4rd/?include_text=1

Section 3

Discussion: It has also been proposed that since 3 mandatory

   parameters - Domain IPv6 Prefix, Length of the CE IPv6 Prefix (note:

   these are different prefixes), and Domain 4rd prefix - are always

   present, they may be grouped together.

Section 3.3  CE IPv6 Prefix Option

…

The format of the CE IPv6 Prefix Option is defined in Figure 2.

   0                   1                   2                   3

  0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

  +-------------------------------+-------------------------------+

  |      OPTION_4RD_PREFIX6       |          option-len           |

  +-------------------------------+-------------------------------+

  |                                                               |

  |                      domain-ipv6-prefix                       |

  |                                                               |

  |                                                               |

  +---------------------------------------------------------------+

----------------------------------------------------

Per the description above, I think the option defined in section 3.3 of draft-mrugalski-dhc-dhcpv6-4rd-00 should be the domain IPv6 prefix, if we use the term defined in draft-murakami-softwire-4rd-00 or in draft-despres-intarea-4rd-01. And this option definitely needs a field for the length of itself, the domain IPv6 prefix. Right?

Best Regards,
Leaf